<?php 
/*------------------------------------------------------------------------
# default.php - Top Position Yahoo Finance (module)
# ------------------------------------------------------------------------
# version		1.0.0
# author    	Top Position
# copyright 	Copyright (c) 2011 Top Position	 All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites 	http://posicionamientoenbuscadoreswebseo.es/
-------------------------------------------------------------------------
*/

// no direct access

defined('_JEXEC') or die('Restricted access');
$arrayquotes = $params->get('quotes','MSFT,GOOG,AAPL');
$quote = $params->get('quote','^IXIC');
$quotes = explode(",", $arrayquotes);
$n = count($quotes);
$chart_rsc = 'http://chart.finance.yahoo.com/z?s='.urlencode($quote).'&c='.$arrayquotes.'&amp;t=1d&amp;z=s&amp;nocache='.time();

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://download.finance.yahoo.com/d/quotes.csv?s=".$quote.','.$arrayquotes.'&f=sl1d1t1ohgvcc6c8&e=.csv');
curl_setopt( $ch, CURLOPT_HEADER, false );
curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );

$output = curl_exec( $ch );

curl_close( $ch );

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://download.finance.yahoo.com/d/quotes.csv?s=".$quote.','.$arrayquotes.'&f=n&e=.csv');
curl_setopt( $ch, CURLOPT_HEADER, false );
curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );

$output2 = curl_exec( $ch );
$output2 = str_replace('"', '', $output2);
curl_close( $ch );

$lines = explode("\n", trim($output));
$lines_n = explode("\n", trim($output2));

$document = &JFactory::getDocument();
if($params->get('css',1)==1) $document->addCustomTag('
<style type="text/css">
.topposition_chart{
}
.topposition-quotes-f{
margin-top:10px;
}
.topposition-quotes-registro-f{
border-bottom:#CCC 1px dotted;
padding-top:2px;
padding-bottom:2px;
}
.top-firma{
font-size : 0.9em;
margin-top : 20px;
margin-bottom : 10px;
}
.top-chart{
width:100%;
}
.top-fecha{
font-size:0.9em;
color:#333; font-style:italic; 
}
.c0a94e1{
width:8px;
height:6px;
float:left;
background-color:#0a94e1;
margin-top:5px;
margin-right:3px;
}
.cf5110c{
width:8px;
height:6px;
float:left;
background-color:#f5110c;
margin-top:5px;
margin-right:3px;
}
.cc30beb{
width:8px;
height:6px;
float:left;
background-color:#c30beb;
margin-top:5px;
margin-right:3px;
}
.c48ae37{
width:8px;
height:6px;
float:left;
background-color:#48ae37;
margin-top:5px;
margin-right:3px;
}
</style>
');				
?>
<div id="topposition">
<?php if ($params->get('chart',1)){ ?>
    <div class="topposition_chart">
    	<div class="toppositionimage"><img src="<?php echo $chart_rsc; ?>" alt="Yahoo Finance Chart" class="top-chart" /></div>
        <div class="top-clear"></div>
    </div>
<?php } ?>
    <div class="topposition-quotes-f">
<?php 
	$n=0;
	foreach($lines as $line) { 
	
		$bc = '';
		if($n==0) $bc = "<div class='c0a94e1'></div>";
		if($n==1) $bc = "<div class='c48ae37'></div>";
		if($n==2) $bc = "<div class='cf5110c'></div>";
		if($n==3) $bc = "<div class='cc30beb'></div>";
	
	
	$contents = explode( ',', str_replace( '"', '', $line ) );
	echo '<div class="topposition-quotes-registro-f">'.$bc.'
				<a href="http://finance.yahoo.com/q?s='.$contents[0].'" title="More on Yahoo Finance">'.$lines_n[$n].'</a>: <b>'.$contents[1] .'</b> ('.$contents[8].')<br/><div class="top-fecha">'.$contents[2].', '.$contents[3].'</div></div>';
	$n++;
} ?>
    </div>
	<div class="top-clear"></div>
	<div class="top-firma">By <a href="http://posicionamientoenbuscadoreswebseo.es/" title="Posicionamiento en Google">Posicionamiento en Google</a></div>
</div>